Subject: Re: Regression: git-svn clone failure

From: Sam Vilain <[email-masked]>
Date: Wed, 23 Dec 2009 13:09:14 +1300

Junio C Hamano wrote:
> Sam Vilain <[email-masked]> writes:
>   
>> With git, merge parent relationships imply (conceptually, anyway) that all of the changes reachable from that branch are included in the commit.  If someone is doing cherry-picking, then they are specifically excluding some commits, so adding a merge parent to that branch isn't right.
>> ...
>> Subject: [PATCH] git-svn: consider 90% of a branch cherry picked to be a merge
>>
>> Be slightly fuzzy when deciding if a branch is a merge or a cherry pick; ... might ... if ...
>>
>> Signed-off-by: Sam Vilain <[email-masked]>
>>     
>
> If I were _using_ git-svn (or any other tool), I would rather be forced to ... sort out the conflict myself ... rather than an automated but unreliable operation that drops changes randomly, ... and reports "everything is peachy".
>
> That sounds horrible, as you cannot trust your merges anymore.  I hope I
> am mis-interpreting what you wrote above.
>   

Welcome to the world of SVN, Junio. It's a world of sunshine and
happiness, pain and despair.

Sam.